<?php
/**
 * Set news layout according to options
 *
 * @package News
 */

defined( 'WPINC' ) || exit;

/**
 * Layout manager.
 */
class News_Layout extends News_Base {

	/**
	 * The Construct
	 */
	public function __construct() {
		$this->add_action( 'news_before_wrapper', 'add_header' );
		$this->add_action( 'news_single_post_header_thumb', 'single_post_header_thumb' );
	}

	/**
	 * Add header
	 */
	public function add_header() {
		$hash   = array(
			'header-default' => 'default',
			'header-layout2' => 'layout2',
		);
		$layout = news_get_settings( 'header_styles' );
		get_template_part( 'template-parts/header/header', isset( $hash[ $layout ] ) ? $hash[ $layout ] : $layout );
	}

	/**
	 * Single post header thumbnail
	 */
	public function single_post_header_thumb() {

		if ( news_get_settings( 'show_single_featured' ) ) {
			the_post_thumbnail( 'news-single-featured', array( 'class' => 'single-featured-image' ) );
		}

	}
}

// Init.
new News_Layout;
