<?php
/**
 * Header Tab
 *
 * @package News
 */

$menus['header-general'] = array(
	'icon'  => 'fa-header',
	'title' => esc_html__( 'Header', 'news' ),
	'desc'  => esc_html__( 'From here, you can control the elements of header section.', 'news' ),
);

$nav_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'nav_button',
		'value'      => '1',
		'comparison' => '==',
	),
);

$header_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'header_styles',
		'value'      => 'header-layout2',
		'comparison' => '==',
	),
);

$sections['header-general'] = array(

	array(
		'id'       => 'header_styles',
		'type'     => 'radio_img',
		'title'    => esc_html__( 'Header Styling', 'news' ),
		'sub_desc' => wp_kses( __( 'Choose the <strong>Header design</strong> for your site.', 'news' ), array( 'strong' => '' ) ),
		'options'  => array(
			'header-default' => array( 'img' => $uri . 'headers/header-default.jpg' ),
			'header-layout2' => array( 'img' => $uri . 'headers/header-layout2.jpg' ),
		),
		'std'      => 'header-default',
	),

	array(
		'id'         => 'hide_searchbox',
		'type'       => 'switch',
		'title'      => esc_html__( 'Show/Hide Search Box', 'news' ),
		'sub_desc'   => wp_kses( __( 'Use this button to Show or Hide <strong>Search Box</strong> completely.', 'news' ), array( 'strong' => '' ) ),
		'std'        => '1',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'header_styles',
				'value'      => 'header-default',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'    => 'header_nav_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Button Settings', 'news' ),
	),

	array(
		'id'       => 'nav_button',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show/Hide Button', 'news' ),
		'sub_desc' => wp_kses( __( 'Use this button to Show or Hide the <strong>Nav Button</strong> completely.', 'news' ), array( 'strong' => '' ) ),
		'std'      => '1',
	),

	array(
		'id'         => 'nav_button_text',
		'type'       => 'text',
		'title'      => esc_html__( 'Button Text', 'news' ),
		'sub_desc'   => esc_html__( 'Enter button text.', 'news' ),
		'std'        => 'Get it Now',
		'dependency' => $nav_dependency,
	),

	array(
		'id'         => 'nav_button_url',
		'type'       => 'text',
		'title'      => esc_html__( 'Button URL', 'news' ),
		'sub_desc'   => esc_html__( 'Enter button URL.', 'news' ),
		'std'        => 'https://mythemeshop.com/themes/news/',
		'dependency' => $nav_dependency,
	),

	array(
		'id'    => 'header_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Header General Settings', 'news' ),
	),

	array(
		'id'       => 'sticky_nav',
		'type'     => 'switch',
		'title'    => esc_html__( 'Floating Navigation Menu', 'news' ),
		// translators: Floating Navigation Menu with strong tag.
		'sub_desc' => sprintf( esc_html__( 'Use this button to enable %s.', 'news' ), '<strong>' . esc_html__( 'Floating Navigation Menu', 'news' ) . '</strong>' ),
		'std'      => '0',
	),

	array(
		'id'       => 'hide_logo',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show/Hide Logo', 'news' ),
		'sub_desc' => wp_kses( __( 'Use this button to Show or Hide the <strong>Logo</strong> completely.', 'news' ), array( 'strong' => '' ) ),
		'std'      => '1',
	),

	array(
		'id'       => 'header_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Header Margin', 'news' ),
		'sub_desc' => esc_html__( 'Set header margin from here.', 'news' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '0',
			'bottom' => '0',
		),
	),
	array(
		'id'       => 'header_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Header Padding', 'news' ),
		'sub_desc' => esc_html__( 'Set header padding from here.', 'news' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '16px',
			'bottom' => '16px',
		),
	),

	array(
		'id'       => 'header_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'news' ),
		'sub_desc' => esc_html__( 'Select border.', 'news' ),
	),

	array(
		'id'       => 'header_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Header Background', 'news' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'news' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'center center',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'         => 'main_navigation_dropdown_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Dropdown Text Color', 'news' ),
		'sub_desc'   => esc_html__( 'Select dropdown text color for main navigation from here.', 'news' ),
		'std'        => '#57585f',
		'dependency' => $header_dependency,
	),
	array(
		'id'         => 'main_navigation_dropdown_hover_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Dropdown Text Hover Color', 'news' ),
		'sub_desc'   => esc_html__( 'Select dropdown text color for main navigation from here.', 'news' ),
		'std'        => news_get_settings( 'primary_color_scheme' ),
		'dependency' => $header_dependency,
	),

);
