<?php
/**
 * Left Sidebar Styling
 *
 * @package News
 */

$menus['left-sidebar-styling'] = array(
	'title' => esc_html__( 'Left Sidebar Styling', 'news' ),
	'desc'  => esc_html__( 'From here, you can control the styling of left sidebar.', 'news' ),
);

$sections['left-sidebar-styling'] = array(

	array(
		'id'       => 'left_sidebar_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Background', 'news' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'news' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#f9fafb',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'    => 'left_sidebar_title_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Title Styling', 'news' ),
	),

	array(
		'id'       => 'left_sidebar_title_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Title Background', 'news' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'news' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'left_sidebar_title_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Title Margin', 'news' ),
		'sub_desc' => esc_html__( 'Set sidebar title margin from here.', 'news' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '0',
			'bottom' => '22px',
		),
	),
	array(
		'id'       => 'left_sidebar_title_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Title Padding', 'news' ),
		'sub_desc' => esc_html__( 'Set sidebar title padding from here.', 'news' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'    => 'left_sidebar_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Left Sidebar Widget Title', 'news' ),
		'std'   => array(
			'preview-text'   => 'Left Sidebar Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Karla',
			'font-weight'    => '700',
			'font-size'      => '11px',
			'line-height'    => '1',
			'color'          => '#57585f',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 2.497px; opacity: 0.5;',
			'css-selectors'  => '.left-sidebar .widget h3.widget-title, .left-sidebar .widget h3.widget-title a, .left-sidebar .widget #wp-subscribe .title',
		),
	),

	array(
		'id'    => 'left_sidebar_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Left Sidebar Widgets Styling', 'news' ),
	),

	array(
		'id'       => 'left_sidebar_widget_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Widgets Background', 'news' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'news' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'left_sidebar_hover',
		'type'     => 'color',
		'title'    => esc_html__( 'Hover Background Color', 'news' ),
		'sub_desc' => esc_html__( 'Select the hover background color for Links.', 'news' ),
		'std'      => '#f6e6e7',
	),
	array(
		'id'       => 'left_sidebar_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'news' ),
		'sub_desc' => esc_html__( 'Set sidebar margin from here.', 'news' ),
		'std'      => array(
			'top'    => '26px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'left_sidebar_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'news' ),
		'sub_desc' => esc_html__( 'Set sidebar padding from here.', 'news' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '17px',
			'bottom' => '15px',
			'left'   => '37px',
		),
	),
	array(
		'id'       => 'left_sidebar_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'news' ),
		'sub_desc' => esc_html__( 'Select border', 'news' ),
		'std'      => array(
			'color'     => '#e8e9eb',
			'direction' => 'bottom',
			'size'      => '1',
			'style'     => 'solid',
		),
	),

);
