<?php
/**
 * Single AuthorBox
 *
 * @package News
 */

$menus['single-authorbox'] = array(
	'title' => esc_html__( 'Author Box', 'news' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Author box in single posts page.', 'news' ),
);

$sections['single-authorbox'] = array(

	array(
		'id'    => 'single_authorbox_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Author box Settings', 'news' ),
	),
	array(
		'id'       => 'single_authorbox_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Author box Background', 'news' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for author box from here.', 'news' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'author_box_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Author Box Title', 'news' ),
		'sub_desc' => esc_html__( 'Enter author box title.', 'news' ),
		'std'      => '',
	),
	array(
		'id'       => 'single_authorbox_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'news' ),
		'sub_desc' => esc_html__( 'Set Author box margin from here.', 'news' ),
		'std'      => array(
			'top'    => '24px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_authorbox_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'news' ),
		'sub_desc' => esc_html__( 'Set Author box padding from here.', 'news' ),
		'std'      => array(
			'top'    => '32px',
			'right'  => '32px',
			'bottom' => '32px',
			'left'   => '32px',
		),
	),
	array(
		'id'       => 'single_authorbox_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'news' ),
		'sub_desc' => esc_html__( 'Select border', 'news' ),
	),
	array(
		'id'       => 'single_authorbox_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'news' ),
		'sub_desc' => esc_html__( 'Author box border radius.', 'news' ),
		'std'      => '5',
		'args'     => array( 'type' => 'number' ),
	),

	array(
		'id'    => 'single_authorbox_author_name_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Box Name Font', 'news' ),
		'std'   => array(
			'preview-text'  => 'Author Box Name Font',
			'preview-color' => 'light',
			'font-family'   => 'Karla',
			'font-weight'   => '700',
			'font-size'     => '18px',
			'line-height'   => '22px',
			'color'         => '#57585f',
			'css-selectors' => '.postauthor h5, .postauthor h5 a',
		),
	),
	array(
		'id'    => 'single_authorbox_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Box Text Font', 'news' ),
		'std'   => array(
			'preview-text'  => 'Author Box Text Font',
			'preview-color' => 'light',
			'font-family'   => 'Karla',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'line-height'   => '22px',
			'color'         => '#8d8e92',
			'css-selectors' => '.postauthor p',
		),
	),

	array(
		'id'    => 'single_author_img_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Author Image Settings', 'news' ),
	),
	array(
		'id'       => 'single_author_image_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'news' ),
		'sub_desc' => esc_html__( 'Set Author image margin from here.', 'news' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '25px',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_author_image_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'news' ),
		'sub_desc' => esc_html__( 'Author image border radius.', 'news' ),
		'std'      => '96',
		'args'     => array( 'type' => 'number' ),
	),

);
