<?php
/**
 * Single Comments
 *
 * @package News
 */

$menus['single-comments'] = array(
	'title' => esc_html__( 'Comments', 'news' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Comments in single posts page.', 'news' ),
);

$sections['single-comments'] = array(

	array(
		'id'    => 'single_comments_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Comments Settings', 'news' ),
	),
	array(
		'id'       => 'single_comments_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Comments Background', 'news' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for comments from here.', 'news' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'single_comments_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'news' ),
		'sub_desc' => esc_html__( 'Set Comments margin from here.', 'news' ),
		'std'      => array(
			'top'    => '24px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_comments_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'news' ),
		'sub_desc' => esc_html__( 'Set Comments padding from here.', 'news' ),
		'std'      => array(
			'top'    => '32px',
			'right'  => '32px',
			'bottom' => '32px',
			'left'   => '32px',
		),
	),
	array(
		'id'       => 'single_comments_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'news' ),
		'sub_desc' => esc_html__( 'Comments border radius.', 'news' ),
		'std'      => '5',
		'args'     => array( 'type' => 'number' ),
	),

);
