<?php
/**
 * Single Tags
 *
 * @package News
 */

$menus['single-tags'] = array(
	'title' => esc_html__( 'Single Tags', 'news' ),
	'desc'  => esc_html__( 'From here, you can control the appearance of your single posts tags.', 'news' ),
);

$sections['single-tags'] = array(

	array(
		'id'    => 'single_tags_section_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Tags Section Settings', 'news' ),
	),

	array(
		'id'       => 'single_tags_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Tags Section Background Color', 'news' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'news' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'single_tags_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'news' ),
		'sub_desc' => esc_html__( 'Set tags section margin from here.', 'news' ),
		'std'      => array(
			'top'    => '24px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_tags_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'news' ),
		'sub_desc' => esc_html__( 'Set tags section padding from here.', 'news' ),
		'std'      => array(
			'top'    => '32px',
			'right'  => '32px',
			'bottom' => '20px',
			'left'   => '32px',
		),
	),
	array(
		'id'       => 'single_tags_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'news' ),
		'sub_desc' => esc_html__( 'Set border radius in px.', 'news' ),
		'std'      => '5',
		'args'     => array( 'type' => 'number' ),
	),

	array(
		'id'    => 'single_tags_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Tags Settings', 'news' ),
	),

	array(
		'id'       => 'tags_bgcolor',
		'type'     => 'color',
		'title'    => esc_html__( 'Tags background color', 'news' ),
		'sub_desc' => esc_html__( 'Set tags background color form here.', 'news' ),
		'std'      => '#fcebeb',
	),

	array(
		'id'    => 'tags_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Tags Font', 'news' ),
		'color' => false,
		'std'   => array(
			'preview-text'   => 'Tags Font',
			'preview-color'  => 'light',
			'font-family'    => 'Karla',
			'font-weight'    => '700',
			'font-size'      => '11px',
			'line-height'    => '29px',
			'additional-css' => 'letter-spacing: -0.319px;',
			'css-selectors'  => '.tags a',
		),
	),

);
