<?php
/**
 * Typography tab
 *
 * @package News
 */

$menus['typography-collection'] = array(
	'icon'       => 'fa-text-width',
	'title'      => esc_html__( 'Typography', 'news' ),
	'hide_title' => true,
);

$sections['typography-collection'] = array(

	array(
		'id'    => 'typography-collections',
		'type'  => 'typography_collections',
		'title' => esc_html__( 'Theme Typography', 'news' ),
		'desc'  => esc_html__( 'From here, you can control the fonts used on your site. You can choose from 17 standard font sets, or from the Google Fonts Library containing 800+ fonts.', 'news' ),
	),

	array(
		'id'    => 'news_logo',
		'type'  => 'typography',
		'title' => esc_html__( 'Logo Font', 'news' ),
		'std'   => array(
			'preview-text'   => 'Logo',
			'preview-color'  => 'light',
			'font-family'    => 'Karla',
			'font-weight'    => '700',
			'font-size'      => '24px',
			'color'          => '#57585f',
			'additional-css' => 'letter-spacing: -1.008px;',
			'css-selectors'  => '#logo a',
		),
	),

	array(
		'id'    => 'primary_navigation_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Primary Navigation', 'news' ),
		'std'   => array(
			'preview-text'  => 'Primary Navigation Font',
			'preview-color' => 'light',
			'font-family'   => 'Karla',
			'font-weight'   => '400',
			'font-size'     => '16px',
			'color'         => '#57585f',
			'css-selectors' => '#primary-navigation li',
		),
	),

	array(
		'id'    => 'home_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Archive Article Titles', 'news' ),
		'std'   => array(
			'preview-text'   => 'Archive Article Title',
			'preview-color'  => 'light',
			'font-family'    => 'Karla',
			'font-weight'    => '700',
			'font-size'      => '18px',
			'line-height'    => '18px',
			'color'          => '#57585f',
			'additional-css' => 'letter-spacing: -0.504px;',
			'css-selectors'  => '.latestPost .title a',
		),
	),

	array(
		'id'    => 'content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Content Font', 'news' ),
		'std'   => array(
			'preview-text'   => 'Content Font',
			'preview-color'  => 'light',
			'font-family'    => 'Karla',
			'font-weight'    => '400',
			'font-size'      => '15px',
			'line-height'    => '22px',
			'color'          => '#57585f',
			'additional-css' => 'letter-spacing: -0.435px;',
			'css-selectors'  => 'body',
		),
	),

	array(
		'id'    => 'sidebar_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Widget Title', 'news' ),
		'std'   => array(
			'preview-text'  => 'Sidebar Title Font',
			'preview-color' => 'light',
			'font-family'   => 'Karla',
			'font-weight'   => '700',
			'font-size'     => '16px',
			'line-height'   => '1',
			'color'         => '#57585f',
			'css-selectors' => '#sidebar .widget h3.widget-title, #sidebar .widget h3.widget-title a, .widget #wp-subscribe .title',
		),
	),

	array(
		'id'    => 'mts_widget_links',
		'type'  => 'typography',
		'title' => esc_html__( 'MTS Widgets Links', 'news' ),
		'std'   => array(
			'preview-text'   => 'Sidebar Links',
			'preview-color'  => 'light',
			'font-family'    => 'Karla',
			'font-weight'    => '400',
			'font-size'      => '15px',
			'line-height'    => '18px',
			'color'          => '#57585f',
			'additioanl-css' => 'letter-spacing: -0.247px;',
			'css-selectors'  => '#sidebar .widget li.horizontal-small .post-title a, #sidebar .widget .wpt_widget_content .entry-title a, #sidebar .widget .wp_review_tab_widget_content .entry-title a',
		),
	),

	array(
		'id'    => 'default_widget_links',
		'type'  => 'typography',
		'title' => esc_html__( 'Default Widgets Link', 'news' ),
		'std'   => array(
			'preview-text'  => 'Default Widgets',
			'preview-color' => 'light',
			'font-family'   => 'Karla',
			'font-weight'   => '700',
			'font-size'     => '14px',
			'color'         => '#57585f',
			'css-selectors' => '#sidebar .widget li a, #sidebar .widget.widget_categories li a, #sidebar .widget.widget_archive li a, #sidebar .widget.widget_pages li a, #sidebar .widget.widget_meta li a, #sidebar .widget.widget_recent_comments li a, #sidebar .widget.widget_recent_entries li a, #sidebar .widget.widget_rss, #sidebar .widget.widget_nav_menu li a, .left-sidebar .widget li a',
		),
	),

	array(
		'id'    => 'sidebar_url_bigthumb',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Links on Big Thumb', 'news' ),
		'std'   => array(
			'preview-text'   => 'Sidebar Links Big Thumb',
			'preview-color'  => 'light',
			'font-family'    => 'Karla',
			'font-weight'    => '700',
			'font-size'      => '16px',
			'line-height'    => '20px',
			'color'          => '#57585f',
			'additional-css' => 'letter-spacing: -0.448px;',
			'css-selectors'  => '#sidebar .widget .vertical-small a, #sidebar .widget li.vertical-small, #sidebar .widget .review_thumb_large .entry-title a',
		),
	),

	array(
		'id'    => 'sidebar_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Font', 'news' ),
		'std'   => array(
			'preview-text'  => 'Sidebar Font',
			'preview-color' => 'light',
			'font-family'   => 'Karla',
			'font-weight'   => '400',
			'font-size'     => '13px',
			'line-height'   => '16px',
			'color'         => '#57585f',
			'css-selectors' => '#sidebar .widget p, #sidebar .widget .post-excerpt, .widget #wp-subscribe input.email-field, .widget #wp-subscribe input.name-field, .widget .wp-subscribe-wrap .wps-consent-wrapper label',
		),
	),

	array(
		'id'    => 'sidebar_font_bigthumb',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Font bigthumb', 'news' ),
		'std'   => array(
			'preview-text'   => 'Sidebar Font bigthumb',
			'preview-color'  => 'light',
			'font-family'    => 'Karla',
			'font-weight'    => '400',
			'font-size'      => '14px',
			'line-height'    => '20px',
			'color'          => '#57585f',
			'margin-top'     => '8px',
			'additional-css' => 'opacity: 0.9;',
			'css-selectors'  => '#sidebar .widget .vertical-small p, #sidebar .widget .vertical-small .post-excerpt',
		),
	),

	array(
		'id'    => 'sidebar_postinfo_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Postinfo Font', 'news' ),
		'std'   => array(
			'preview-text'   => 'Sidebar Postinfo Font',
			'preview-color'  => 'light',
			'font-family'    => 'Karla',
			'font-weight'    => '400',
			'font-size'      => '13px',
			'line-height'    => '1',
			'color'          => '#8d8e92',
			'additional-css' => 'letter-spacing: -0.319px;',
			'css-selectors'  => '#sidebar .widget .post-info, #sidebar .widget .post-info a, #sidebar .wpt_widget_content .wpt-postmeta, .widget .wp_review_tab_widget_content .wp-review-tab-postmeta',
		),
	),

	array(
		'id'    => 'sidebar_postinfo_font_bigthumb',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Postinfo Font bigthumb', 'news' ),
		'std'   => array(
			'preview-text'   => 'Sidebar Postinfo Font bigthumb',
			'preview-color'  => 'light',
			'font-family'    => 'Karla',
			'font-weight'    => '400',
			'font-size'      => '13px',
			'line-height'    => '1',
			'color'          => '#8d8e92',
			'additional-css' => 'letter-spacing: -0.377px;',
			'css-selectors'  => '#sidebar .widget .vertical-small .post-info, #sidebar .widget .vertical-small .post-info a, .widget .wp_review_tab_widget_content .review_thumb_large .wp-review-tab-postmeta, .wpt_comment_content, .wpt_excerpt',
		),
	),

	array(
		'id'    => 'tabs_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Tabs Title', 'news' ),
		'std'   => array(
			'preview-text'   => 'Tabs Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Karla',
			'font-weight'    => '700',
			'font-size'      => '12px',
			'color'          => '#57585f',
			'additional-css' => 'letter-spacing: -0.348px;',
			'css-selectors'  => '#sidebar .widget .wp_review_tab_widget_content .tab_title a, #sidebar .widget .wpt_widget_content .tab_title a',
		),
	),

	array(
		'id'    => 'sidebar_buttons_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Widgets Button Font', 'news' ),
		'std'   => array(
			'preview-text'   => 'Sidebar Widgets Button Font',
			'preview-color'  => 'light',
			'font-family'    => 'Karla',
			'font-weight'    => '700',
			'font-size'      => '13px',
			'color'          => '#ffffff',
			'additional-css' => 'letter-spacing: -0.494px;',
			'css-selectors'  => '.widget #wp-subscribe input.submit, .widget .sbutton, .next-post .button, .widget_product_search button[type="submit"]',
		),
	),

	array(
		'id'    => 'fields_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Fields Font', 'news' ),
		'color' => false,
		'std'   => array(
			'preview-text'   => 'Text Fields Font',
			'preview-color'  => 'light',
			'font-family'    => 'Karla',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'additional-css' => 'letter-spacing: -0.266px;',
			'css-selectors'  => 'input#author, .contact-form input[type="text"], input#email, input#url, #commentform textarea, .contact-form textarea',
		),
	),

	array(
		'id'    => 'copyrights_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Copyrights Section', 'news' ),
		'std'   => array(
			'preview-text'  => 'Copyrights Font',
			'preview-color' => 'light',
			'font-family'   => 'Karla',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'color'         => '#8c8d93',
			'css-selectors' => '#copyright-note, #copyright-note a',
		),
	),

	array(
		'id'    => 'h1_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H1 Heading in Content', 'news' ),
		'std'   => array(
			'preview-text'   => 'H1 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Karla',
			'font-weight'    => '700',
			'font-size'      => '36px',
			'color'          => '#57585f',
			'additional-css' => 'letter-spacing: -1.008px;',
			'css-selectors'  => 'h1',
		),
	),

	array(
		'id'    => 'h2_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H2 Heading in Content', 'news' ),
		'std'   => array(
			'preview-text'   => 'H2 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Karla',
			'font-weight'    => '700',
			'font-size'      => '34px',
			'color'          => '#57585f',
			'additional-css' => 'letter-spacing: -1.008px;',
			'css-selectors'  => 'h2',
		),
	),

	array(
		'id'    => 'h3_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H3 Heading in Content', 'news' ),
		'std'   => array(
			'preview-text'   => 'H3 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Karla',
			'font-weight'    => '700',
			'font-size'      => '32px',
			'color'          => '#57585f',
			'additional-css' => 'letter-spacing: -1.008px;',
			'css-selectors'  => 'h3',
		),
	),

	array(
		'id'    => 'h4_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H4 Heading in Content', 'news' ),
		'std'   => array(
			'preview-text'   => 'H4 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Karla',
			'font-weight'    => '700',
			'font-size'      => '30px',
			'color'          => '#57585f',
			'additional-css' => 'letter-spacing: -1.008px;',
			'css-selectors'  => 'h4',
		),
	),

	array(
		'id'    => 'h5_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H5 Heading in Content', 'news' ),
		'std'   => array(
			'preview-text'   => 'H5 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Karla',
			'font-weight'    => '700',
			'font-size'      => '28px',
			'color'          => '#57585f',
			'additional-css' => 'letter-spacing: -1.008px;',
			'css-selectors'  => 'h5',
		),
	),

	array(
		'id'    => 'h6_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H6 Heading in Content', 'news' ),
		'std'   => array(
			'preview-text'   => 'H6 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Karla',
			'font-weight'    => '700',
			'font-size'      => '24px',
			'color'          => '#57585f',
			'additional-css' => 'letter-spacing: -1.008px;',
			'css-selectors'  => 'h6',
		),
	),

	array(
		'id'       => 'typography-subsets',
		'type'     => 'multi_checkbox',
		'title'    => esc_html__( 'Character sets', 'news' ),
		'sub_desc' => esc_html__( 'Choose the character sets you wish to include. Please note that not all sets are available for all fonts.', 'news' ),
		'options'  => array(
			'latin'        => esc_html__( 'Latin', 'news' ),
			'latin-ext'    => esc_html__( 'Latin Extended', 'news' ),
			'cyrillic'     => esc_html__( 'Cyrillic', 'news' ),
			'cyrillic-ext' => esc_html__( 'Cyrillic Extended', 'news' ),
			'greek'        => esc_html__( 'Greek', 'news' ),
			'greek-ext'    => esc_html__( 'Greek Extended', 'news' ),
			'vietnamese'   => esc_html__( 'Vietnamese', 'news' ),
			'khmer'        => esc_html__( 'Khmer', 'news' ),
			'devanagari'   => esc_html__( 'Devanagari', 'news' ),
		),
		'std'      => array( 'latin' ),
	),
);
