<?php
/**
 * The template for displaying search results pages.
 *
 * @package News
 */

get_header(); ?>

	<div id="wrapper">

		<?php get_template_part( 'template-parts/left', 'sidebar' ); ?>

		<div class="container post-container">

			<div class="article">

				<?php
				// Elementor 'archive' location.
				if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'archive' ) ) {
					?>

					<?php news_action( 'before_content' ); ?>

					<div id="content_box">

						<section id="latest-posts" class="layout-default clearfix">

							<?php if ( have_posts() ) : ?>

								<h1 class="page-title">
									<?php
									// translators: search query.
									printf( esc_html__( 'Search Results for: %s', 'news' ), '<span>' . get_search_query() . '</span>' );
									?>
								</h1>
							<?php else : ?>
								<h1 class="page-title"><?php esc_html_e( 'Nothing Found', 'news' ); ?></h1>
							<?php endif; ?>

							<div class="post-wrapper">
								<?php
								if ( 'above' === news_get_settings( 'search_position' ) ) {
									get_search_form();
								}

								$j = 0;
								if ( have_posts() ) {
									while ( have_posts() ) {
										the_post();
										news_blog_articles();
									}
								} else {
									get_template_part( 'template-parts/no', 'results' );
								}

								if ( 0 !== $j ) {
									news_pagination( news_get_settings( 'mts_pagenavigation_type' ) );
								}

								if ( 'below' === news_get_settings( 'search_position' ) ) {
									get_search_form();
								}
								?>
							</div>

						</section>

					</div>

					<?php news_action( 'after_content' ); ?>

					<?php
				}
				?>

			</div>

			<?php get_sidebar(); ?>

		</div>

<?php
get_footer();
