<?php
/**
 * Header Layout Default
 *
 * @package News
 */

if ( news_get_settings( 'sticky_nav' ) ) { ?>
	<div class="clear" id="catcher"></div>
<?php } ?>

<header<?php news_attr( 'header' ); ?>>

<?php
if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'header' ) ) {
?>

	<div id="header" class="clearfix">

		<div class="menu-icon">
			<span></span>
			<span></span>
			<span></span>
		</div>

		<div class="logo-wrap">
			<?php news_logo(); ?>
		</div>

		<?php
		// Nav Button.
		if ( news_get_settings( 'nav_button' ) && ! empty( news_get_settings( 'nav_button_url' ) ) ) {
			printf( '<div class="nav-button"><a href="%1$s" class="button">%2$s</a></div>', news_get_settings( 'nav_button_url' ), news_get_settings( 'nav_button_text' ) );
		}
		?>

		<div<?php news_attr( 'menu', 'primary' ); ?>>
			<a href="#" id="pull" class="toggle-mobile-menu"><?php _e( 'Menu', 'news' ); ?></a>
			<?php if ( has_nav_menu( 'mobile' ) ) { ?>

				<nav class="navigation clearfix">
					<?php
					// Primary Navigation.
					if ( has_nav_menu( 'primary-menu' ) ) {
						wp_nav_menu( array(
							'theme_location' => 'primary-menu',
							'menu_class'     => 'menu clearfix',
							'container'      => '',
							'walker'         => new news_menu_walker(),
						));
					}
					?>
				</nav>
				<nav class="navigation mobile-only clearfix mobile-menu-wrapper">
					<?php
					// Mobile Menu.
					if ( has_nav_menu( 'mobile' ) ) {
						wp_nav_menu( array(
							'theme_location' => 'mobile',
							'menu_class'     => 'menu clearfix',
							'container'      => '',
							'walker'         => new news_menu_walker(),
						));
					}
					?>
				</nav>

			<?php } else { ?>

				<nav class="navigation clearfix mobile-menu-wrapper">
					<?php
					// Primary Navigation.
					if ( has_nav_menu( 'primary-menu' ) ) {
						wp_nav_menu( array(
							'theme_location' => 'primary-menu',
							'menu_class'     => 'menu clearfix',
							'container'      => '',
							'walker'         => new news_menu_walker(),
						));
					}
					?>
				</nav>

			<?php } ?>
		</div>

	</div><!--#header-->
	<?php
}
?>

</header>

<?php get_template_part( 'template-parts/header/header', 'nav-adcode' ); ?>

<?php get_template_part( 'template-parts/header/header', 'adcode' ); ?>
